////STYLE DE NOTRE HEADER
//
//.header-page {
//  background-color: $color-bg-dark;
//
//  nav .show-menu, nav .toggle-menu {
//    display: none;
//  }
//  nav {
//
//    //padding: 10px;
//
//    display: flex;
//    flex-direction: column;
//    align-items: center;
//
//    .show-menu{
//      display: block;
//    }
//
//    h1 {
//      color: $color-text-normal;
//      margin: 0 0 5px;
//    }
//
//    ul {
//      list-style: none;
//      padding: 0;
//
//      width: 100%;
//      text-align: center;
//
//      li{
//        position:relative;
//
//        &>ul {
//          display: none;
//          z-index: 50;
//          top: 100%;
//
//          padding-top: 20px;
//
//          background: $color-bg-dark;
//
//          li{
//            width: 100%;
//          }
//        }
//
//      }
//
//
//      li:hover > ul {
//        display: block;
//
//        li{
//          padding: 5px;
//        }
//
//        li:hover{
//          background: $gray-600;
//        }
//      }
//
//    }
//
//  }
//
//}
//
//@media screen and (min-width: $vw-small) {
//  .header-page {
//
//    padding: 15px 200px;
//
//
//
//
//    nav .show-menu {
//      display: block;
//      text-align: center;
//      color: #fff;
//      background: #555;
//      padding: 10px 0;
//    }
//
//    nav .toggle-menu:checked + ul {
//      display: block;
//    }
//
//    nav .toggle-menu {
//      display: none;
//    }
//
//
//    nav {
//      flex-direction: row;
//      justify-content: space-between;
//      align-items: center;
//
//      .show-menu{
//        display: none;
//      }
//
//      ul {
//        display: flex;
//        width: auto;
//        text-align: left;
//
//        a {
//          padding: 5px 10px;
//        }
//
//        li>ul{
//          position: absolute;
//          min-width: 100px;
//        }
//      }
//    }
//  }
//
//}
//





.header-page{

  .header-settings, .header-profile, .header-ajout-article{
    display: none;
  }

  background-color: $color-bg-dark;
  display: flex;
  flex-direction: column;

  h1 a{
    color:$color-bg-page;
    text-decoration:none;
  }

  nav{
    width:100%;
    display: flex;


    justify-content: space-around;
    align-items: center;
    flex-wrap: wrap;

    i{
      color:$color-bg-page;
    }

    i.fas.fa-bars{
      font-size: 1.5rem;
    }

    ul{
      text-decoration: none;
      list-style: none;
      padding-left: 0;
      background-color: $color-bg-dark;
      width: 100%;

      li a {
        color:$color-bg-page;
      }
    }

  }

  li{
    width:100%;
    text-align: center;
  }

  li:hover{
    background-color: darkgoldenrod;

    ul{
      display: block;
      left:0;
    }

  }


  nav ul li:hover > ul {
    padding:0;
    display: inherit;
  }


  input{
    display: none;
    user-select: none;
  }

  .toggle-menu{
    display: none;
  }

  ul{
    display: none;
  }

  .toggle-menu:checked + ul {
    display: block;
  }

}




@media screen and (min-width: $vw-huge){

  .header-page{


    nav{


      flex-wrap: nowrap;
      display: flex;
      flex-direction: row;


      .show-menu{
        display: none;
      }

      ul{
        display: flex;
        align-items: center;
        justify-content: center;
        width: 30%;
        position: relative;

        li ul {
          display: none;
          position: absolute;
          width: 150px;
        }
      }

    }

  }


}
